// DetailNetworkPeercast1Dlg.cpp : t@C
//

#include "stdafx.h"
#include "PCRPlayer.h"
#include "DetailNetworkPeercast1Dlg.h"
//#include "afxdialogex.h"


// CDetailNetworkPeercast1Dlg _CAO

IMPLEMENT_DYNAMIC(CDetailNetworkPeercast1Dlg, CDialog)

//CDetailNetworkPeercast1Dlg::CDetailNetworkPeercast1Dlg(CWnd* pParent /*=NULL*/)
//	: CDialog(CDetailNetworkPeercast1Dlg::IDD, pParent)
//{
//
//}

CDetailNetworkPeercast1Dlg::CDetailNetworkPeercast1Dlg(sl::NetworkConfig& network)
	: CDialog(CDetailNetworkPeercast1Dlg::IDD, NULL)
	, network_(network)
{

}

CDetailNetworkPeercast1Dlg::~CDetailNetworkPeercast1Dlg()
{
}

void CDetailNetworkPeercast1Dlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Control(pDX, IDC_CHECK_STOP, m_xcCheckStop);
	DDX_Control(pDX, IDC_SPIN_CONNECT_TIMEOUT, m_xcSpinConnectTimeout);
	DDX_Control(pDX, IDC_SPIN_CONNECT_COUNT, m_xcSpinConnectCount);
	DDX_Control(pDX, IDC_SPIN_CONNECT_WAIT, m_xcSpinConnectWait);
	DDX_Control(pDX, IDC_CHECK_CONNECT_STOP, m_xcCheckConnectStop);
	DDX_Control(pDX, IDC_SPIN_RECONNECT_INTERVAL, m_xcSpinReconnectInterval);
}

void CDetailNetworkPeercast1Dlg::InitControls()
{
	m_xcCheckStop.SetCheck(network_.stop ? BST_CHECKED : BST_UNCHECKED);
	m_xcSpinConnectTimeout.SetPos32(network_.connect.timeout);
	m_xcSpinConnectCount.SetPos32(network_.connect.count);
	m_xcSpinConnectWait.SetPos32(network_.connect.wait);
	m_xcCheckConnectStop.SetCheck(network_.connect.stop ? BST_CHECKED : BST_UNCHECKED);

	m_xcSpinReconnectInterval.SetPos32(network_.reconnect.interval);
}


BEGIN_MESSAGE_MAP(CDetailNetworkPeercast1Dlg, CDialog)
	ON_WM_DESTROY()
	ON_BN_CLICKED(IDC_BTN_ALL_DEFAULT, &CDetailNetworkPeercast1Dlg::OnBnClickedBtnAllDefault)
END_MESSAGE_MAP()


// CDetailNetworkPeercast1Dlg bZ[W nh[


BOOL CDetailNetworkPeercast1Dlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	m_xcSpinConnectTimeout.SetRange32(0, 60000);
	m_xcSpinConnectCount.SetRange32(0, 100);
	m_xcSpinConnectWait.SetRange32(0, 60);

	m_xcSpinReconnectInterval.SetRange32(10000, 600000);

	InitControls();

	return TRUE;  // return TRUE unless you set the focus to a control
	// O : OCX vpeB y[W͕K FALSE Ԃ܂B
}


BOOL CDetailNetworkPeercast1Dlg::PreTranslateMessage(MSG* pMsg)
{
	if (pMsg->message == WM_KEYDOWN)
	{
		if (pMsg->wParam == VK_RETURN || pMsg->wParam == VK_ESCAPE)
		{
			return FALSE;
		}
	}
	return CDialog::PreTranslateMessage(pMsg);
}


void CDetailNetworkPeercast1Dlg::OnDestroy()
{
	CDialog::OnDestroy();

	network_.stop = m_xcCheckStop.GetCheck() == BST_CHECKED;
	network_.connect.timeout = m_xcSpinConnectTimeout.GetPos32();
	network_.connect.count = m_xcSpinConnectCount.GetPos32();
	network_.connect.wait = m_xcSpinConnectWait.GetPos32();
	network_.connect.stop = m_xcCheckConnectStop.GetCheck() == BST_CHECKED;

	network_.reconnect.interval = m_xcSpinReconnectInterval.GetPos32();
}


void CDetailNetworkPeercast1Dlg::OnBnClickedBtnAllDefault()
{
	auto tmp = sl::NetworkConfig();

	network_.stop = tmp.stop;
	network_.connect.timeout = tmp.connect.timeout;
	network_.connect.count = tmp.connect.count;
	network_.connect.wait = tmp.connect.wait;
	network_.connect.stop = tmp.connect.stop;

	network_.reconnect.interval = tmp.reconnect.interval;

	InitControls();
}
