// OperationVariationDlg.cpp : t@C
//

#include "stdafx.h"
#include "PCRPlayer.h"
#include "OperationVariationDlg.h"
//#include "afxdialogex.h"


// COperationVariationDlg _CAO

IMPLEMENT_DYNAMIC(COperationVariationDlg, CDialog)

COperationVariationDlg::COperationVariationDlg(CWnd* pParent /*=NULL*/)
	: CDialog(COperationVariationDlg::IDD, pParent)
{

}

COperationVariationDlg::~COperationVariationDlg()
{
}

void COperationVariationDlg::InitControls()
{
	m_xcSpinVolume.SetPos32(variation_.volume.normal);
	m_xcSpinVolumeLow.SetPos32(variation_.volume.low);
	m_xcSpinVolumeHigh.SetPos32(variation_.volume.high);

	m_xcSpinSeek.SetPos32(variation_.seek.normal);
	m_xcSpinSeekLow.SetPos32(variation_.seek.low);
	m_xcSpinSeekHigh.SetPos32(variation_.seek.high);

	m_xcSpinScroll.SetPos32(variation_.scroll.normal);
	m_xcSpinScrollLow.SetPos32(variation_.scroll.low);
	m_xcSpinScrollHigh.SetPos32(variation_.scroll.high);
}

void COperationVariationDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Control(pDX, IDC_SPIN_VOLUME, m_xcSpinVolume);
	DDX_Control(pDX, IDC_SPIN_VOLUME_LOW, m_xcSpinVolumeLow);
	DDX_Control(pDX, IDC_SPIN_VOLUME_HIGH, m_xcSpinVolumeHigh);
	DDX_Control(pDX, IDC_SPIN_SEEK, m_xcSpinSeek);
	DDX_Control(pDX, IDC_SPIN_SEEK_LOW, m_xcSpinSeekLow);
	DDX_Control(pDX, IDC_SPIN_SEEK_HIGH, m_xcSpinSeekHigh);
	DDX_Control(pDX, IDC_SPIN_SCROLL, m_xcSpinScroll);
	DDX_Control(pDX, IDC_SPIN_SCROLL_LOW, m_xcSpinScrollLow);
	DDX_Control(pDX, IDC_SPIN_SCROLL_HIGH, m_xcSpinScrollHigh);
}


BEGIN_MESSAGE_MAP(COperationVariationDlg, CDialog)
	ON_WM_DESTROY()
	ON_BN_CLICKED(IDC_BTN_ALL_DEFAULT, &COperationVariationDlg::OnBnClickedBtnAllDefault)
END_MESSAGE_MAP()


// COperationVariationDlg bZ[W nh[


BOOL COperationVariationDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

    m_xcSpinVolume.SetRange32(0, INT_MAX);
    m_xcSpinVolumeLow.SetRange32(0, INT_MAX);
    m_xcSpinVolumeHigh.SetRange32(0, INT_MAX);

    m_xcSpinSeek.SetRange32(0, INT_MAX);
    m_xcSpinSeekLow.SetRange32(0, INT_MAX);
    m_xcSpinSeekHigh.SetRange32(0, INT_MAX);

	m_xcSpinScroll.SetRange32(0, INT_MAX);
	m_xcSpinScrollLow.SetRange32(0, INT_MAX);
	m_xcSpinScrollHigh.SetRange32(0, INT_MAX);

	InitControls();

	return TRUE;  // return TRUE unless you set the focus to a control
	// O : OCX vpeB y[W͕K FALSE Ԃ܂B
}


BOOL COperationVariationDlg::PreTranslateMessage(MSG* pMsg)
{
	if (pMsg->message == WM_KEYDOWN)
	{
		if (pMsg->wParam == VK_RETURN || pMsg->wParam == VK_ESCAPE)
		{
			return FALSE;
		}
	}
	return CDialog::PreTranslateMessage(pMsg);
}


void COperationVariationDlg::OnDestroy()
{
	CDialog::OnDestroy();

	variation_.volume.normal = m_xcSpinVolume.GetPos32();
	variation_.volume.low = m_xcSpinVolumeLow.GetPos32();
	variation_.volume.high = m_xcSpinVolumeHigh.GetPos32();

	variation_.seek.normal = m_xcSpinSeek.GetPos32();
	variation_.seek.low = m_xcSpinSeekLow.GetPos32();
	variation_.seek.high = m_xcSpinSeekHigh.GetPos32();

	variation_.scroll.normal = m_xcSpinScroll.GetPos32();
	variation_.scroll.low = m_xcSpinScrollLow.GetPos32();
	variation_.scroll.high = m_xcSpinScrollHigh.GetPos32();
}


void COperationVariationDlg::OnBnClickedBtnAllDefault()
{
	variation_ = sl::Variation();

	InitControls();
}
